%define         major         1
%define         libname       %mklibname %{name} %{major}
%define         libtestername %mklibname %{name}-tester %{major}
%define         develname     %mklibname %{name} -d

%bcond_with tester

Name:           bctoolbox
Version:        5.2.70
Release:        %mkrel 1
Summary:        Utility library for software from Belledonne Communications
License:        GPLv2+
Group:          Development/C++
Url:            https://linphone.org
Source0:        https://github.com/BelledonneCommunications/bctoolbox/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         bctoolbox-opensuse-fix-pkgconfig.patch
BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  gcc-c++
BuildRequires:  mbedtls-devel
BuildRequires:  bcunit-devel >= 3.0.2-4
BuildRequires:  pkgconfig(zlib)

%description
Utilities library used by Belledonne Communications software like
belle-sip, mediastreamer2 and linphone.

%package -n     %{develname}
Summary:        Development files for %{name}, a utility library for linphone/belle-sip/etc
Group:          Development/C++
Requires:       %{libname} = %{version}
%if %{with tester}
Requires:       %{libtestername} = %{version}
%endif
Requires:       pkgconfig(zlib)
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Utilities library used by Belledonne Communications software like
belle-sip, mediastreamer2 and linphone.

This package contains development files.

%package -n %{libname}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
Utilities library used by Belledonne Communications software like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library.

%package -n %{libtestername}
Summary:        Utility library for software from Belledonne Communications
Group:          System/Libraries
Provides:       %{name}-tester = %{version}-%{release}

%description -n %{libtestername}
Utilities library used by Belledonne Communications software like
belle-sip, mediastreamer2 and linphone.

This package the contains shared library for testing component.

%prep
%setup -q
%autopatch -p1

# Fix version
sed -i -e '/^project/s/\(VERSION\)\s\+[0-9]\+\(\.[0-9]\+\)\+/\1 %{version}/' CMakeLists.txt

%build
%cmake -GNinja \
  -DCMAKE_SKIP_INSTALL_RPATH:BOOL=YES \
  -DENABLE_STRICT:BOOL=NO \
  -DENABLE_STATIC:BOOL=NO \
  -DENABLE_POLARSSL:BOOL=NO \
  -DMBEDTLS_V2:BOOL=YES \
  -DENABLE_TESTS_COMPONENT:BOOL=%{?with_tester:YES}%{!?with_tester:NO}
%cmake_build

%install
%cmake_install

%files -n %{libname}
%license LICENSE.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

%if %{with tester}
%files -n %{libtestername}
%license LICENSE.txt
%{_libdir}/lib%{name}-tester.so.%{major}{,.*}
%endif

%files -n %{develname}
%license LICENSE.txt
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_datadir}/%{name}/
%{_includedir}/%{name}/
%if %{with tester}
%{_libdir}/pkgconfig/bctoolbox-tester.pc
%{_libdir}/lib%{name}-tester.so
%endif



%changelog
* Fri Jun 09 2023 wally <wally> 5.2.70-1.mga9
+ Revision: 1961508
- new version 5.2.70

* Sat Dec 24 2022 wally <wally> 5.2.4-1.mga9
+ Revision: 1926256
- new version 5.2.4

* Sun Dec 04 2022 wally <wally> 5.1.72-1.mga9
+ Revision: 1917525
- new version 5.1.72
- build with ninja

* Fri Aug 19 2022 wally <wally> 5.1.55-1.mga9
+ Revision: 1878740
- new version 5.1.55

* Tue May 03 2022 wally <wally> 5.1.17-1.mga9
+ Revision: 1855646
- new version 5.1.17

* Wed Mar 16 2022 luigiwalser <luigiwalser> 5.1.0-1.mga9
+ Revision: 1795087
- 5.1.0

* Tue Jan 11 2022 akien <akien> 5.0.53-2.mga9
+ Revision: 1767997
- Rebuild for mbedtls 2.28.0

* Sun Nov 21 2021 wally <wally> 5.0.53-1.mga9
+ Revision: 1758335
- new version 5.0.53

* Sat Jul 31 2021 wally <wally> 5.0.3-1.mga9
+ Revision: 1738375
- new version 5.0.3

* Sun May 30 2021 wally <wally> 4.5.15-1.mga9
+ Revision: 1728842
- new version 4.5.15

* Sat Apr 10 2021 wally <wally> 4.5.1-1.mga9
+ Revision: 1714602
- new version 4.5.1

* Sun Mar 21 2021 wally <wally> 4.4.34-1.mga9
+ Revision: 1706436
- new version 4.4.34

* Sun Dec 27 2020 wally <wally> 4.4.21-1.mga8
+ Revision: 1664099
- new version 4.4.21

* Sat Dec 19 2020 wally <wally> 4.4.19-1.mga8
+ Revision: 1661340
- new version 4.4.19

* Thu Dec 10 2020 wally <wally> 4.4.13-1.mga8
+ Revision: 1655173
- new version 4.4.13

* Mon Nov 23 2020 wally <wally> 4.4.9-1.mga8
+ Revision: 1648756
- new version 4.4.9

* Sun Oct 25 2020 wally <wally> 4.4.6-1.mga8
+ Revision: 1639229
- new version 4.4.6

* Sat Oct 03 2020 wally <wally> 4.4.0-1.mga8
+ Revision: 1632012
- new version 4.4.0

* Sat Mar 28 2020 wally <wally> 4.3.1-1.mga8
+ Revision: 1561358
- new version 4.3.1

* Sat Mar 28 2020 wally <wally> 0.6.0-6.mga8
+ Revision: 1561319
- build with new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Apr 03 2019 akien <akien> 0.6.0-5.mga7
+ Revision: 1385572
- Rebuild for mbedtls 2.16.1

* Fri Sep 21 2018 umeabot <umeabot> 0.6.0-4.mga7
+ Revision: 1295354
- Mageia 7 Mass Rebuild

* Tue May 08 2018 kekepower <kekepower> 0.6.0-3.mga7
+ Revision: 1227676
- Rebuild for new mbedtls

* Wed Mar 07 2018 kekepower <kekepower> 0.6.0-2.mga7
+ Revision: 1207006
- Rebuild for new mbedtls

* Sat Nov 04 2017 zezinho <zezinho> 0.6.0-1.mga7
+ Revision: 1175955
- build against just packaged BCUnit 3

* Sun Jan 22 2017 akien <akien> 0.2.0-4.mga6
+ Revision: 1083036
- Rebuild for mbedtls 2.4.0

* Fri Dec 02 2016 daviddavid <daviddavid> 0.2.0-3.mga6
+ Revision: 1071679
- fix devel subpackage name
- remove some useless hardcoded requires

* Tue Nov 29 2016 zezinho <zezinho> 0.2.0-2.mga6
+ Revision: 1071025
- fix requires
- now it builds
- mageia way from suse
- imported package bctoolbox


* Sat Aug 27 2016 jengelh@inai.de
- Remove extraneous pkgconfig require
* Sat Aug 27 2016 mpluskal@suse.com
- Merge changes from home:X0F:HSF
- Fix generation of pkgconfig files
  * bctoolbox-pkgconfig_1.patch
  * bctoolbox-pkgconfig_2.patch
* Mon Aug 15 2016 jengelh@inai.de
- Update summary and rpm groups
* Fri Aug 12 2016 mpluskal@suse.com
- Initial package for version 0.2.0
